Package org.opensaml.saml.saml2.metadata.impl

# Class RequestedAttributeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.AttributeImpl
org.opensaml.saml.saml2.metadata.impl.RequestedAttributeImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `Attribute`, `RequestedAttribute`

public class RequestedAttributeImpl extends AttributeImpl implements RequestedAttribute
Concrete implementation of `RequestedAttribute`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private XSBooleanValue`
`isRequired`
isRequired attribute.

### Fields inherited from interface org.opensaml.saml.saml2.core.Attribute

`BASIC, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, FRIENDLY_NAME_ATTRIB_NAME, NAME_ATTTRIB_NAME, NAME_FORMAT_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME, UNSPECIFIED, URI_REFERENCE`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.RequestedAttribute

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, IS_REQUIRED_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RequestedAttributeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isRequired()`
Checks to see if this requested attribute is also required.
`XSBooleanValue`
`isRequiredXSBoolean()`
Checks to see if this requested attribute is also required.
`void`
`setIsRequired(Boolean newIsRequired)`
Sets if this requested attribute is also required.
`void`
`setIsRequired(XSBooleanValue newIsRequired)`
Sets if this requested attribute is also required.

### Methods inherited from class org.opensaml.saml.saml2.core.impl.AttributeImpl

`getAttributeValues, getFriendlyName, getName, getNameFormat, getOrderedChildren, getUnknownAttributes, setFriendlyName, setName, setNameFormat`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml2.core.Attribute

`getAttributeValues, getFriendlyName, getName, getNameFormat, setFriendlyName, setName, setNameFormat`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### isRequired

@Nullable private XSBooleanValue isRequired
isRequired attribute.

## Constructor Details

### RequestedAttributeImpl

protected RequestedAttributeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### isRequired

@Nullable public Boolean isRequired()
Checks to see if this requested attribute is also required.

Specified by:
  `isRequired` in interface `RequestedAttribute`
Returns:
  true if this attribute is required

### isRequiredXSBoolean

@Nullable public XSBooleanValue isRequiredXSBoolean()
Checks to see if this requested attribute is also required.

Specified by:
  `isRequiredXSBoolean` in interface `RequestedAttribute`
Returns:
  true if this attribute is required

### setIsRequired

public void setIsRequired(@Nullable Boolean newIsRequired)
Sets if this requested attribute is also required. Boolean values will be marshalled to either "true" or "false".

Specified by:
  `setIsRequired` in interface `RequestedAttribute`
Parameters:
  `newIsRequired` - true if this attribute is required

### setIsRequired

public void setIsRequired(@Nullable XSBooleanValue newIsRequired)
Sets if this requested attribute is also required.

Specified by:
  `setIsRequired` in interface `RequestedAttribute`
Parameters:
  `newIsRequired` - true if this attribute is required